#
# spec file for package utempter (Version 0.5.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           utempter
%define utmpGroup tty
Version:        0.5.5
Release:        16.2
Summary:        A privileged helper for utmp and wtmp updates
License:        X11/MIT
Group:          Productivity/Security
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         utempter-%{version}.tar.gz
Patch:          utempter.eal3.diff
Patch1:         utempter-0.5.5-pie.diff

%description
Utempter is a utility that allows non-privileged applications such as
terminal emulators to modify the utmp database without having to be
setuid root.



Authors:
--------
    Redhat

%debug_package
%prep
%setup -q
%patch -p1
%patch1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
export DESTDIR=$RPM_BUILD_ROOT
[ -z "$DESTDIR" ] || rm -rf $DESTDIR
make PREFIX=$DESTDIR LIBDIR=%_libdir install
strip $DESTDIR/usr/sbin/utempter
chmod 755 $DESTDIR%{_libdir}/libutempter.so*
/sbin/ldconfig -n $DESTDIR%{_libdir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc COPYING
%attr(02755, root, %{utmpGroup}) /usr/sbin/utempter
%attr(555,root,root) %{_libdir}/libutempter.so*
%attr(444,root,root) /usr/include/utempter.h
%attr(444,root,root) %doc /usr/share/man/man8/*

%changelog -n utempter
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jun 20 2005 - kukuk@suse.de
- Compile with -fpie/-pie
* Thu Aug 05 2004 - okir@suse.de
- Updated to latest upstream version
* Tue Apr 20 2004 - okir@suse.de
- Fix incorrect check for /../ in path names (#39169)
* Fri Jan 16 2004 - thomas@suse.de
- added man-page utempter.8 (EAL3)
* Sun Jan 11 2004 - adrian@suse.de
- add %%run_ldconfig
* Fri Apr 12 2002 - okir@suse.de
- well, if the files list says %%_libdir, one should make sure
  the shared lib really goes to in %%_libdir :)
* Fri Mar 08 2002 - kukuk@suse.de
- Create libutemtper.so.0 link and include it in RPM [Bug #14672]
* Tue Jan 29 2002 - okir@suse.de
- %%files list uses %%_libdir rather than /usr/lib
* Fri Jan 25 2002 - okir@suse.de
- Initial package.
